Page MenuHomePhabricator

Quarry does not respect ORDER BY sort order in result set
Closed, ResolvedPublic

Description

Hey all! First off, love quarry, much shinier than my JSON-based backdoor server I'd run from time to time. While importing some of my favorite queries (e.g., http://quarry.wmflabs.org/query/1778) I was somewhat surprised to see that the resultset displayed below was not respecting the ORDER BY field, instead being sorted by the very first field. The CSV data I downloaded did, however, so I'm hopeful that the displayed data will follow suit. :)

Thanks!

Event Timeline

MahmoudHashemi assigned this task to yuvipanda.
MahmoudHashemi raised the priority of this task from to Low.
MahmoudHashemi updated the task description. (Show Details)
MahmoudHashemi added a project: Quarry.
MahmoudHashemi added a subscriber: MahmoudHashemi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 12:25 AM
yuvipanda removed yuvipanda as the assignee of this task.Jun 7 2015, 5:14 PM
yuvipanda set Security to None.
yuvipanda moved this task from Backlog to Bugs on the Quarry board.Jul 4 2015, 4:24 PM

Change 222775 had a related patch set uploaded (by Yuvipanda):
Do not sort by first column by default

https://gerrit.wikimedia.org/r/222775

Change 222775 merged by jenkins-bot:
Do not sort by first column by default

https://gerrit.wikimedia.org/r/222775

yuvipanda closed this task as Resolved.Jul 4 2015, 5:25 PM
yuvipanda claimed this task.

Just fixed it :) Thanks for reporting the issue, and apologies for such late resolution.

Awesome dude. Appears to be working on my end from the queries I tried. And hey, believe me, I know a thing or two about software development processes and associated delays, and it's always better late than never ;) Much appreciated.

:) part of the problem was the lack of a local dev environment - I just fixed that problem yesterday (vagrant!) - fixing things should be easier now :)

Capt_Swing moved this task from Bugs to Done (closed) on the Quarry board.Jul 17 2015, 7:36 PM
Huji added a comment.Jul 18 2015, 1:53 AM

Yuvi I hope you documented somewhere how one can set up Quarry on vagrant. Quarry has a tone of dependencies, so having that documentation somewhere would really help.

Huji added a comment.Jul 18 2015, 1:54 AM

PS: (and sorry for spamming, I just realized I cannot edit this task anymore) I think you should remove the "patch for review" once the issue is fixed.

@Huji: Just running 'vagrant up' on a quarry checkout works :) I'll write up a README soon

Huji added a comment.Jul 19 2015, 12:38 AM

Fantastic!